<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.hzya.frame.seeyon.entity.CapFormDefinitionEntity">
    <resultMap id="get-CapFormDefinitionEntity-result" type="com.hzya.frame.seeyon.entity.CapFormDefinitionEntity">
        <!--主键 -->
        <result property="id" column="id" />
        <result property="fieldInfo" column="field_info" />
        <result property="viewInfo" column="view_info" />
        <result property="appbindInfo" column="appbind_info" />

    </resultMap>



    <sql id="CapFormDefinitionEntity_sql">
        id,
        field_info,
        view_info,
        appbind_info
    </sql>


    <!-- 查询 采用==查询 -->
    <select id="CapFormDefinitionEntity_list_base" resultMap="get-CapFormDefinitionEntity-result" parameterType="com.hzya.frame.seeyon.entity.CapFormDefinitionEntity">
    select
    <include refid="CapFormDefinitionEntity_sql"/>
    from
    cap_form_definition
    <trim prefix="where" prefixOverrides="and">
        <if test="appbindInfo != null and appbindInfo != ''">and APPBIND_INFO like '%${appbindInfo}%'</if>
    </trim>
    </select>
    <!-- 查询 采用==查询 -->
    <select id="CapFormDefinitionEntity_list_table_info" resultMap="get-CapFormDefinitionEntity-result" parameterType="com.hzya.frame.seeyon.entity.CapFormDefinitionEntity">
        select id from ${tableName} where ${fieldName}  = #{fieldValue}
    </select>

    <delete id="CapFormDefinitionEntity_delete" parameterType="com.hzya.frame.basedao.entity.RequestDisposeEntity">
        delete from ${tableName} where ${fieldName} = #{id}
    </delete>
</mapper>
